package com.chaozhanggui.dao.system.dao;

import com.chaozhanggui.dao.system.entity.TbPlussOperationRecord;

import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussOperationRecordMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussOperationRecord record);

    int insertSelective(TbPlussOperationRecord record);

    TbPlussOperationRecord selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TbPlussOperationRecord record);

    int updateByPrimaryKeyWithBLOBs(TbPlussOperationRecord record);

    int updateByPrimaryKey(TbPlussOperationRecord record);
}